## balance 0.1.6

=== DESCRIPTION ===
Package: balance
Title: Visualize Balances of Compositional Data
Version: 0.1.6
URL: http://github.com/tpq/balance
BugReports: http://github.com/tpq/balance/issues
Authors@R: c(
    person("Thomas", "Quinn", email = "contacttomquinn@gmail.com", role = c("aut", "cre"))
    )
Description: Balances have become a cornerstone of compositional data analysis. However,
 conceptualizing balances is difficult, especially for high-dimensional data. Most often,
 investigators visualize balances with "balance dendrograms". However, this visualization
 tool does not scale well for large data. This package provides an alternative scheme for
 visualizing balances, described in [Quinn (2018) <DOI:10.12688/f1000research.15858.1>].
 This package also provides a method for principal balance analysis.
License: GPL-2
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 6.1.0
Encoding: UTF-8
Imports: methods, ggplot2, grid
Depends: R (>= 3.2.2)
Suggests: ape, ggthemes, knitr, philr, propr, reshape2, rmarkdown,
        robCompositions, testthat
NeedsCompilation: no
Packaged: 2018-10-02 08:28:52 UTC; thom
Author: Thomas Quinn [aut, cre]
Maintainer: Thomas Quinn <contacttomquinn@gmail.com>
Repository: CRAN
Date/Publication: 2018-10-12 13:30:03 UTC

## balance 0.1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: balance
 Title: Visualize Balances of Compositional Data
-Version: 0.1.6
+Version: 0.1.9
 URL: http://github.com/tpq/balance
 BugReports: http://github.com/tpq/balance/issues
 Authors@R: c(
@@ -22,8 +22,8 @@
 Suggests: ape, ggthemes, knitr, philr, propr, reshape2, rmarkdown,
         robCompositions, testthat
 NeedsCompilation: no
-Packaged: 2018-10-02 08:28:52 UTC; thom
+Packaged: 2018-12-10 03:14:10 UTC; thom
 Author: Thomas Quinn [aut, cre]
 Maintainer: Thomas Quinn <contacttomquinn@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-10-12 13:30:03 UTC
+Date/Publication: 2018-12-10 09:20:10 UTC

## balance 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: balance
 Title: Visualize Balances of Compositional Data
-Version: 0.1.9
+Version: 0.2.4
 URL: http://github.com/tpq/balance
 BugReports: http://github.com/tpq/balance/issues
 Authors@R: c(
@@ -20,10 +20,10 @@
 Imports: methods, ggplot2, grid
 Depends: R (>= 3.2.2)
 Suggests: ape, ggthemes, knitr, philr, propr, reshape2, rmarkdown,
-        robCompositions, testthat
+        robCompositions, testthat, vegan
 NeedsCompilation: no
-Packaged: 2018-12-10 03:14:10 UTC; thom
+Packaged: 2019-07-10 04:47:11 UTC; thom
 Author: Thomas Quinn [aut, cre]
 Maintainer: Thomas Quinn <contacttomquinn@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-12-10 09:20:10 UTC
+Date/Publication: 2019-07-10 05:40:03 UTC

## balance 3.35

=== Makefile ===
# $Id: Makefile,v 1.38 2007/01/15 17:48:55 tommy Exp tommy $

#CFLAGS=-g -I.
CFLAGS=-O2 -Wall -Wstrict-prototypes -Wuninitialized

# uncomment for any OS other than Cygwin
BALANCE=balance
ROOT=root
INSTALL=install
BINDIR=/usr/sbin
MANDIR=${BINDIR}/../man/man1

# uncomment for Solaris
#LIBRARIES=-lsocket -lnsl
#INSTALL=/usr/ucb/install
#BINDIR=/usr/local/libexec

# uncomment for Cygwin
# LIBRARIES=-L/usr/local/lib -lcygipc
# BALANCE=balance.exe
# ROOT=Administrators

CC=gcc
RELEASE=3.35

all: balance 

balance: balance.o butils.o
	$(CC) $(CFLAGS) -I. -o balance balance.o butils.o $(LIBRARIES)

balance.o: balance.c balance.h
	$(CC) $(CFLAGS) -I. -c balance.c

butils.o: butils.c balance.h
	$(CC) $(CFLAGS) -I. -c butils.c

balance.pdf: balance.ps
	ps2pdf balance.ps balance.pdf	
		
balance.ps: balance.1
	troff -Tpost -man balance.1 | /usr/lib/lp/postscript/dpost > balance.ps
	# groff -f H -man balance.1 > balance.ps

ci:		
	ci -l *.c *.h Makefile balance.1 README balance.spec 

clean:
	rm -f $(BALANCE) *.o balance.ps balance.pdf

install:
	$(INSTALL) -o $(ROOT) -g $(ROOT) -m 755  $(BALANCE) \
		$(DESTDIR)$(BINDIR)/$(BALANCE) 
	$(INSTALL) -o $(ROOT) -g $(ROOT) -m 755  balance.1 \
		$(DESTDIR)$(MANDIR) 
	mkdir -p $(DESTDIR)/var/run/balance
	chmod 1777 $(DESTDIR)/var/run/balance

release: balance.pdf
	rm -rf ./releases/balance-$(RELEASE)
	mkdir ./releases/balance-$(RELEASE)
	cp balance.1 balance.pdf balance.c balance.h butils.c COPYING Makefile README ./releases/balance-$(RELEASE)
	cp balance.spec ./releases/balance-$(RELEASE)/balance.spec
	cd releases; tar -cvf balance-$(RELEASE).tar ./balance-$(RELEASE)
	cd releases; gzip balance-$(RELEASE).tar

rpm:	ever	
	cp releases/balance-$(RELEASE).tar.gz /usr/src/redhat/SOURCES/
	rpmbuild -ba balance.spec
	cp /usr/src/redhat/SRPMS/balance-$(RELEASE)-1.src.rpm ./releases
	cp /usr/src/redhat/RPMS/i386/balance-$(RELEASE)-1.i386.rpm ./releases

ever:

## balance 3.42

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.38 2007/01/15 17:48:55 tommy Exp tommy $
+# $Id: Makefile,v 1.45 2008/04/08 17:39:08 tommy Exp $
 
 #CFLAGS=-g -I.
 CFLAGS=-O2 -Wall -Wstrict-prototypes -Wuninitialized
@@ -11,9 +11,9 @@
 MANDIR=${BINDIR}/../man/man1
 
 # uncomment for Solaris
-#LIBRARIES=-lsocket -lnsl
-#INSTALL=/usr/ucb/install
-#BINDIR=/usr/local/libexec
+# LIBRARIES=-lsocket -lnsl
+# INSTALL=/usr/ucb/install
+# BINDIR=/usr/local/libexec
 
 # uncomment for Cygwin
 # LIBRARIES=-L/usr/local/lib -lcygipc
@@ -21,7 +21,7 @@
 # ROOT=Administrators
 
 CC=gcc
-RELEASE=3.35
+RELEASE=3.42
 
 all: balance

## balance 3.54

=== debian/changelog ===
balance (3.54-1) unstable; urgency=low

  * [7ad72ec5] Updating debian/watch file.
  * [e93b404e] Merge tag 'upstream/3.54'
    Upstream version 3.54
  * [aeaf28a1] Tidy packaging, bringing it a bit more into 2013.
    Also adding myself as Maintainer as discussed with
    Rafael D'León. Thanks to him for packaging balance!

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Nov 2013 23:36:57 +0100

balance (3.42-1) unstable; urgency=low

  * New upstream release

 -- Rafael D'León <rafaeldleon@gmail.com>  Mon, 11 Aug 2008 12:04:52 -0400

balance (3.35-2) unstable; urgency=low

  * Change in file debian/watch (Closes: #450086)
  * Change in package description (erased "surprisingly successful")

 -- Rafael D'León <rafaeldleon@gmail.com>  Wed, 07 Nov 2007 10:17:50 +0100

balance (3.35-1) unstable; urgency=low


  * Initial release (Closes: #428467)

 -- Rafael D'Leon <rafaeldleon@gmail.com>  Mon, 11 Jun 2007 16:37:43 -0500

=== debian/control ===
Source: balance
Section: admin
Priority: extra
Maintainer: Bernd Zeimetz <bzed@debian.org>
Uploaders: Rafael D'Leon <rafaeldleon@gmail.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.5
Homepage: http://www.inlab.de/balance.html
Vcs-Git: git://anonscm.debian.org/collab-maint/balance.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/balance.git

Package: balance
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Load balancing solution and generic tcp proxy
 Balance is a load balancing solution being a simple but powerful 
 generic tcp proxy with round robin load balancing and failover 
 mechanisms. Its behaviour can be controlled at runtime using a 
 simple command line syntax.

=== debian/watch ===
version=3
http://www.inlab.de/balance.html    \./balance-([0-9.]+)\.tar\.gz

## balance 3.56

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.45 2008/04/08 17:39:08 tommy Exp $
+# $Id: Makefile,v 1.13 2013/11/06 10:55:58 t Exp t $
 
 #CFLAGS=-g -I.
 CFLAGS=-O2 -Wall -Wstrict-prototypes -Wuninitialized
@@ -10,18 +10,18 @@
 BINDIR=/usr/sbin
 MANDIR=${BINDIR}/../man/man1
 
-# uncomment for Solaris
+# uncomment for Solaris:
 # LIBRARIES=-lsocket -lnsl
 # INSTALL=/usr/ucb/install
 # BINDIR=/usr/local/libexec
 
-# uncomment for Cygwin
+# uncomment for Cygwin:
 # LIBRARIES=-L/usr/local/lib -lcygipc
 # BALANCE=balance.exe
 # ROOT=Administrators
 
 CC=gcc
-RELEASE=3.42
+RELEASE=3.56
 
 all: balance

=== debian/changelog ===
balance (3.56-1) unstable; urgency=medium

  * [ac55e174] Merge tag 'upstream/3.56'
    Upstream version 3.56
  * [20440954] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 13 Feb 2014 23:25:25 +0100

## balance 3.57

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.13 2013/11/06 10:55:58 t Exp t $
+# $Id: Makefile,v 1.14 2015/04/28 07:49:37 t Exp t $
 
 #CFLAGS=-g -I.
 CFLAGS=-O2 -Wall -Wstrict-prototypes -Wuninitialized
@@ -21,7 +21,7 @@
 # ROOT=Administrators
 
 CC=gcc
-RELEASE=3.56
+RELEASE=3.57
 
 all: balance

=== debian/changelog ===
balance (3.57-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:14:02 +0000

balance (3.57-1) unstable; urgency=medium

  * [f49d36e] Merge tag 'upstream/3.57'
    Upstream version 3.57
  * [004af4f] refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 22:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: balance
 Section: admin
 Priority: extra
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Rafael D'Leon <rafaeldleon@gmail.com>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.5
